Allow zooming on mobile devices

2020-03-16 11:40 -  

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee: Go MAEDA % Done: 0%

Category: UI - Responsive Estimated time: 0.00 hour

Target version: 4.0.7   

Resolution: Fixed   

Description

introduced with the issue #19097, the user was not allowed to zoom. this is a major offender opposing to a userfriendly mobile

experience. there are a numbers of reasons to zoom on mobile ranging from bad sight all the way to read text on a screenshot

attached to an image, which i did not want to download.

there is next to no valid reasoning to disallow the enduser to zoom on mobile devices, so please revert this change!

there was no reasoning behind this limitation in the issue either. The changelog stated only, that its not desireable to zoom, which

does not mean it should be forbidden!

Patch included.

Related issues:

Related to Redmine - Feature #19097: Responsive layout for mobile devices Closed

Associated revisions

Revision 19598 - 2020-03-20 07:47 - Go MAEDA

Allow zooming on mobile devices (#33156).

Patch by Richard Heine.

Revision 19599 - 2020-03-20 08:06 - Go MAEDA

Merged r19598 from trunk to 4.1-stable (#33156).

Revision 19600 - 2020-03-20 08:07 - Go MAEDA

Merged r19598 from trunk to 4.0-stable (#33156).

History

#1 - 2020-03-17 01:52 - Go MAEDA

- Related to Feature #19097: Responsive layout for mobile devices added

#2 - 2020-03-17 01:53 - Go MAEDA

- Tracker changed from Defect to Feature

- Target version set to Candidate for next minor release

#3 - 2020-03-17 15:35 - Go MAEDA

- Target version changed from Candidate for next minor release to 4.1.1

I agree that there is no reason to disallow zooming. W3C's HTML 5.2 specification says that "authors should not suppress or limit the ability of users

to resize a document, as this causes accessibility and usability issues."

Setting the target version to 4.1.1.

#4 - 2020-03-18 00:13 - Go MAEDA

- Subject changed from allow mobilebrowser zoom to Allow zooming in responsive layout

- Category changed from UI to UI - Responsive
https://www.redmine.org/issues/19097
https://www.w3.org/TR/html52/document-metadata.html#the-meta-element


#5 - 2020-03-20 08:08 - Go MAEDA

- Subject changed from Allow zooming in responsive layout to Allow zooming on mobile devices

- Status changed from New to Closed

- Assignee set to Go MAEDA

- Target version changed from 4.1.1 to 4.0.7

- Resolution set to Fixed

Committed the patch. Thank you for improving Redmine.

Files

0001-allow-client-zooming.patch 941 Bytes 2020-03-16  
